<nz-spin [nzSpinning]="loading">
  <app-main-layout title="Liste des événements">
    <nz-divider nzText="Mes événements à venir"></nz-divider>
    <nz-list nzGrid>
      <div nz-row>
        <div nz-col [nzSpan]="24" *ngFor="let fullEvent of fullEvents">
          <nz-list-item>
            <nz-card nzHoverable [nzTitle]="fullEvent | eventFullName">
              <p nz-paragraph>
                {{fullEvent?.event.startDate?.toDate() | date:'dd/MM/yyyy à HH:mm'}}
              </p>
              <app-seats-displayer [fullEvent]="fullEvent"></app-seats-displayer>
              <nz-button-group>
                <button nz-button nzType="danger" nzSize="small" (click)="removeFromAnEvent(fullEvent)">
                  Annuler
                </button>
                <button nz-button nzType="default" nzSize="small" type="button"
                        [routerLink]="['/events', fullEvent.event.uid]">Voir
                </button>
                <a nz-button nzType="primary" nzSize="small" type="button"
                   [href]="fullEvent?.event?.link" target="_blank">Rejoindre
                </a>
              </nz-button-group>
            </nz-card>
          </nz-list-item>
        </div>
      </div>
    </nz-list>

    <nz-divider nzText="Autres événements disponibles"></nz-divider>

    <div nz-row>
      <div nz-col [nzSpan]="24" *ngFor="let fullEvent of openedFullEvents">
        <nz-card nzHoverable [nzTitle]="fullEvent | eventFullName">
          <p nz-paragraph>
            {{fullEvent?.event?.startDate?.toDate() | date:'dd/MM/yyyy à HH:mm'}}
          </p>
          <app-seats-displayer [fullEvent]="fullEvent"></app-seats-displayer>
          <nz-button-group>
            <button nz-button nzType="primary" nzSize="small"
                    *ngIf="!fullEvent.event.maxSizedActivated
                    || (fullEvent.event.maxSizedActivated && fullEvent.event.reserved < fullEvent.event.maxSizedActivated)"
                    (click)="registerToAnEvent(fullEvent)">M'inscrire</button>
          </nz-button-group>

        </nz-card>
      </div>
    </div>

    <nz-divider nzText="Mes événements passés"></nz-divider>
    <nz-list nzGrid>
      <div nz-row>
        <div nz-col [nzSpan]="24" *ngFor="let fullEvent of fullEvents">
          <nz-list-item *ngIf="fullEvent.event.state === 'done'">
            <nz-card nzHoverable [nzTitle]="fullEvent | eventFullName">
              <p nz-paragraph>
                {{fullEvent?.event.startDate?.toDate() | date:'dd/MM/yyyy à HH:mm'}}
              </p>
              <app-seats-displayer [fullEvent]="fullEvent"></app-seats-displayer>
            </nz-card>
          </nz-list-item>
        </div>
      </div>
    </nz-list>

  </app-main-layout>
</nz-spin>

